1.0

1.0

get /v1/configinspection/diagnosis/list

Description

config inspection 목록 가져오기

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
limit
Example : 20
any of [integer, null]None
querymarker
optional
marker
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryisMine
optional
나의 Config Inspection
Example : False
booleanFalse
querydiagnosis_id
optional
진단 ID
Example : DIA-943731CB8E3045C289BAECAEC3532097
any of [string, null]None
querydiagnosis_name
optional
진단명
Example : My Diagnosis
any of [string, null]None
querycsp_type
optional
클라우드 서비스 제공자의 유형
Example : SCP
any of [string, null]None
querydiagnosis_account_id
optional
진단 ID
Example : 0e3dffc50eb247a1adf4f2e5c82c4f99
any of [string, null]None
queryrecent_diagnosis_state
optional
최근 진단 상태
Example : Completed
any of [array[string], null]None
querystart_date
optional
시작일
Example : 2022-01-01 12:00:00
any of [string, null]None
queryend_date
optional
종료일
Example : 2022-01-02 12:00:00
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKConfigInspectionListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/diagnosis/list

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = configinspection 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "summary_responses": [
        {
            "created_at": "2022-01-01T12:00:00Z",
            "csp_type": "SCP",
            "diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
            "diagnosis_check_type": "BP",
            "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
            "diagnosis_name": "Sample Diagnosis Name",
            "diagnosis_type": "Console",
            "error_state": "CONNECTION_FAIL",
            "plan_type": "STANDARD",
            "recent_diagnosis_at": "2022-01-01T12:00:00Z",
            "recent_diagnosis_state": "Completed"
        }
    ]
}